Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete a contact

DELETE/audiences/{audienceId}/contacts/{id}
Authorization
AuthorizationBearer token · headerrequired

A BillionSend API key (bs_…).

Path parameters
audienceIdstring<uuid>required
idstringrequired
min length 1
Query parameters
erasestring

BillionSend extension. true also erases the address from email history, event payloads and API logs (a GDPR/LGPD erasure); by default the send log is kept and ages out with the team's retention window

Allowed:truefalse
Responses
200

Contact deleted

objectstringrequired
Allowed:contact
contactstring<uuid>required
deletedbooleanrequired
Allowed:true
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequired
namestringrequired
messagestringrequired
404

Not found

statusCodenumberrequired
namestringrequired
messagestringrequired
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequired
namestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.billionsend.com/audiences/497f6eca-6276-4993-bfeb-53cbbbba6f08/contacts/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "object": "contact",
  "contact": "ad596931-5d7c-4d2b-907e-5b64c9432eb4",
  "deleted": true
}

Was this page helpful?